Package io.dapr.v1

# Interface DaprGrpc.AsyncService

All Known Implementing Classes:
  `DaprGrpc.DaprImplBase`

Enclosing class:
  DaprGrpc

public static interface DaprGrpc.AsyncService

     Dapr service provides APIs to user application to access Dapr building blocks.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `bulkPublishEvent(DaprPubsubProtos.BulkPublishRequest request, io.grpc.stub.StreamObserver<DaprPubsubProtos.BulkPublishResponse> responseObserver)`
  Bulk Publishes multiple events to the specified topic.
  `default void`
  `bulkPublishEventAlpha1(DaprPubsubProtos.BulkPublishRequest request, io.grpc.stub.StreamObserver<DaprPubsubProtos.BulkPublishResponse> responseObserver)`
  Deprecated.
  `default void`
  `converseAlpha1(DaprAiProtos.ConversationRequest request, io.grpc.stub.StreamObserver<DaprAiProtos.ConversationResponse> responseObserver)`
  Converse with a LLM service
  `default void`
  `converseAlpha2(DaprAiProtos.ConversationRequestAlpha2 request, io.grpc.stub.StreamObserver<DaprAiProtos.ConversationResponseAlpha2> responseObserver)`
  Converse with a LLM service via alpha2 api
  `default io.grpc.stub.StreamObserver<DaprCryptoProtos.DecryptRequest>`
  `decryptAlpha1(io.grpc.stub.StreamObserver<DaprCryptoProtos.DecryptResponse> responseObserver)`
  DecryptAlpha1 decrypts a message using the Dapr encryption scheme and a key stored in the vault.
  `default void`
  `deleteBulkState(DaprStateProtos.DeleteBulkStateRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Deletes a bulk of state items for a list of keys
  `default void`
  `deleteJob(DaprJobsProtos.DeleteJobRequest request, io.grpc.stub.StreamObserver<DaprJobsProtos.DeleteJobResponse> responseObserver)`
  Delete a job
  `default void`
  `deleteJobAlpha1(DaprJobsProtos.DeleteJobRequest request, io.grpc.stub.StreamObserver<DaprJobsProtos.DeleteJobResponse> responseObserver)`
  Deprecated.
  `default void`
  `deleteJobsByPrefix(DaprJobsProtos.DeleteJobsByPrefixRequest request, io.grpc.stub.StreamObserver<DaprJobsProtos.DeleteJobsByPrefixResponse> responseObserver)`
  Delete jobs by name prefix
  `default void`
  `deleteJobsByPrefixAlpha1(DaprJobsProtos.DeleteJobsByPrefixRequestAlpha1 request, io.grpc.stub.StreamObserver<DaprJobsProtos.DeleteJobsByPrefixResponseAlpha1> responseObserver)`
  Deprecated.
  `default void`
  `deleteState(DaprStateProtos.DeleteStateRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Deletes the state for a specific key.
  `default io.grpc.stub.StreamObserver<DaprCryptoProtos.EncryptRequest>`
  `encryptAlpha1(io.grpc.stub.StreamObserver<DaprCryptoProtos.EncryptResponse> responseObserver)`
  EncryptAlpha1 encrypts a message using the Dapr encryption scheme and a key stored in the vault.
  `default void`
  `executeActorStateTransaction(DaprActorsProtos.ExecuteActorStateTransactionRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Executes state transactions for a specified actor
  `default void`
  `executeStateTransaction(DaprStateProtos.ExecuteStateTransactionRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Executes transactions for a specified store
  `default void`
  `getActorReminder(DaprActorsProtos.GetActorReminderRequest request, io.grpc.stub.StreamObserver<DaprActorsProtos.GetActorReminderResponse> responseObserver)`
  Gets an actor reminder.
  `default void`
  `getActorState(DaprActorsProtos.GetActorStateRequest request, io.grpc.stub.StreamObserver<DaprActorsProtos.GetActorStateResponse> responseObserver)`
  Gets the state for a specific actor.
  `default void`
  `getBulkSecret(DaprSecretProtos.GetBulkSecretRequest request, io.grpc.stub.StreamObserver<DaprSecretProtos.GetBulkSecretResponse> responseObserver)`
  Gets a bulk of secrets
  `default void`
  `getBulkState(DaprStateProtos.GetBulkStateRequest request, io.grpc.stub.StreamObserver<DaprStateProtos.GetBulkStateResponse> responseObserver)`
  Gets a bulk of state items for a list of keys
  `default void`
  `getConfiguration(DaprConfigurationProtos.GetConfigurationRequest request, io.grpc.stub.StreamObserver<DaprConfigurationProtos.GetConfigurationResponse> responseObserver)`
  GetConfiguration gets configuration from configuration store.
  `default void`
  `getConfigurationAlpha1(DaprConfigurationProtos.GetConfigurationRequest request, io.grpc.stub.StreamObserver<DaprConfigurationProtos.GetConfigurationResponse> responseObserver)`
  GetConfiguration gets configuration from configuration store.
  `default void`
  `getJob(DaprJobsProtos.GetJobRequest request, io.grpc.stub.StreamObserver<DaprJobsProtos.GetJobResponse> responseObserver)`
  Gets a scheduled job
  `default void`
  `getJobAlpha1(DaprJobsProtos.GetJobRequest request, io.grpc.stub.StreamObserver<DaprJobsProtos.GetJobResponse> responseObserver)`
  Deprecated.
  `default void`
  `getMetadata(DaprMetadataProtos.GetMetadataRequest request, io.grpc.stub.StreamObserver<DaprMetadataProtos.GetMetadataResponse> responseObserver)`
  Gets metadata of the sidecar
  `default void`
  `getSecret(DaprSecretProtos.GetSecretRequest request, io.grpc.stub.StreamObserver<DaprSecretProtos.GetSecretResponse> responseObserver)`
  Gets secrets from secret stores.
  `default void`
  `getState(DaprStateProtos.GetStateRequest request, io.grpc.stub.StreamObserver<DaprStateProtos.GetStateResponse> responseObserver)`
  Gets the state for a specific key.
  `default void`
  `getWorkflowAlpha1(DaprWorkflowProtos.GetWorkflowRequest request, io.grpc.stub.StreamObserver<DaprWorkflowProtos.GetWorkflowResponse> responseObserver)`
  Deprecated.
  `default void`
  `getWorkflowBeta1(DaprWorkflowProtos.GetWorkflowRequest request, io.grpc.stub.StreamObserver<DaprWorkflowProtos.GetWorkflowResponse> responseObserver)`
  Gets details about a started workflow instance
  `default void`
  `invokeActor(DaprActorsProtos.InvokeActorRequest request, io.grpc.stub.StreamObserver<DaprActorsProtos.InvokeActorResponse> responseObserver)`
  InvokeActor calls a method on an actor.
  `default void`
  `invokeBinding(DaprBindingsProtos.InvokeBindingRequest request, io.grpc.stub.StreamObserver<DaprBindingsProtos.InvokeBindingResponse> responseObserver)`
  Invokes binding data to specific output bindings
  `default void`
  `invokeService(DaprInvokeProtos.InvokeServiceRequest request, io.grpc.stub.StreamObserver<CommonProtos.InvokeResponse> responseObserver)`
  Invokes a method on a remote Dapr app.
  `default void`
  `listActorReminders(DaprActorsProtos.ListActorRemindersRequest request, io.grpc.stub.StreamObserver<DaprActorsProtos.ListActorRemindersResponse> responseObserver)`
  `default void`
  `listJobs(DaprJobsProtos.ListJobsRequest request, io.grpc.stub.StreamObserver<DaprJobsProtos.ListJobsResponse> responseObserver)`
  List all jobs
  `default void`
  `listJobsAlpha1(DaprJobsProtos.ListJobsRequestAlpha1 request, io.grpc.stub.StreamObserver<DaprJobsProtos.ListJobsResponseAlpha1> responseObserver)`
  Deprecated.
  `default void`
  `pauseWorkflowAlpha1(DaprWorkflowProtos.PauseWorkflowRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Deprecated.
  `default void`
  `pauseWorkflowBeta1(DaprWorkflowProtos.PauseWorkflowRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Pauses a running workflow instance
  `default void`
  `publishEvent(DaprPubsubProtos.PublishEventRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Publishes events to the specific topic.
  `default void`
  `purgeWorkflowAlpha1(DaprWorkflowProtos.PurgeWorkflowRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Deprecated.
  `default void`
  `purgeWorkflowBeta1(DaprWorkflowProtos.PurgeWorkflowRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Purge Workflow
  `default void`
  `queryStateAlpha1(DaprStateProtos.QueryStateRequest request, io.grpc.stub.StreamObserver<DaprStateProtos.QueryStateResponse> responseObserver)`
  Queries the state.
  `default void`
  `raiseEventWorkflowAlpha1(DaprWorkflowProtos.RaiseEventWorkflowRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Deprecated.
  `default void`
  `raiseEventWorkflowBeta1(DaprWorkflowProtos.RaiseEventWorkflowRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Raise an event to a running workflow instance
  `default void`
  `registerActorReminder(DaprActorsProtos.RegisterActorReminderRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Register an actor reminder.
  `default void`
  `registerActorTimer(DaprActorsProtos.RegisterActorTimerRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Register an actor timer.
  `default void`
  `resumeWorkflowAlpha1(DaprWorkflowProtos.ResumeWorkflowRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Deprecated.
  `default void`
  `resumeWorkflowBeta1(DaprWorkflowProtos.ResumeWorkflowRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Resumes a paused workflow instance
  `default void`
  `saveState(DaprStateProtos.SaveStateRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Saves the state for a specific key.
  `default void`
  `scheduleJob(DaprJobsProtos.ScheduleJobRequest request, io.grpc.stub.StreamObserver<DaprJobsProtos.ScheduleJobResponse> responseObserver)`
  Create and schedule a job
  `default void`
  `scheduleJobAlpha1(DaprJobsProtos.ScheduleJobRequest request, io.grpc.stub.StreamObserver<DaprJobsProtos.ScheduleJobResponse> responseObserver)`
  Deprecated.
  `default void`
  `setMetadata(DaprMetadataProtos.SetMetadataRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Sets value in extended metadata of the sidecar
  `default void`
  `shutdown(DaprProtos.ShutdownRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Shutdown the sidecar
  `default void`
  `startWorkflowAlpha1(DaprWorkflowProtos.StartWorkflowRequest request, io.grpc.stub.StreamObserver<DaprWorkflowProtos.StartWorkflowResponse> responseObserver)`
  Deprecated.
  `default void`
  `startWorkflowBeta1(DaprWorkflowProtos.StartWorkflowRequest request, io.grpc.stub.StreamObserver<DaprWorkflowProtos.StartWorkflowResponse> responseObserver)`
  Starts a new instance of a workflow
  `default io.grpc.stub.StreamObserver<DaprActorsProtos.SubscribeActorEventsRequestAlpha1>`
  `subscribeActorEventsAlpha1(io.grpc.stub.StreamObserver<DaprActorsProtos.SubscribeActorEventsResponseAlpha1> responseObserver)`
  SubscribeActorEventsAlpha1 is the app-initiated stream over which an actor host receives invocation, reminder, timer, and deactivation callbacks from Dapr.
  `default void`
  `subscribeConfiguration(DaprConfigurationProtos.SubscribeConfigurationRequest request, io.grpc.stub.StreamObserver<DaprConfigurationProtos.SubscribeConfigurationResponse> responseObserver)`
  SubscribeConfiguration gets configuration from configuration store and subscribe the updates event by grpc stream
  `default void`
  `subscribeConfigurationAlpha1(DaprConfigurationProtos.SubscribeConfigurationRequest request, io.grpc.stub.StreamObserver<DaprConfigurationProtos.SubscribeConfigurationResponse> responseObserver)`
  SubscribeConfiguration gets configuration from configuration store and subscribe the updates event by grpc stream
  `default io.grpc.stub.StreamObserver<DaprPubsubProtos.SubscribeTopicEventsRequestAlpha1>`
  `subscribeTopicEventsAlpha1(io.grpc.stub.StreamObserver<DaprPubsubProtos.SubscribeTopicEventsResponseAlpha1> responseObserver)`
  SubscribeTopicEventsAlpha1 subscribes to a PubSub topic and receives topic events from it.
  `default void`
  `subtleDecryptAlpha1(DaprCryptoProtos.SubtleDecryptRequest request, io.grpc.stub.StreamObserver<DaprCryptoProtos.SubtleDecryptResponse> responseObserver)`
  SubtleDecryptAlpha1 decrypts a small message using a key stored in the vault.
  `default void`
  `subtleEncryptAlpha1(DaprCryptoProtos.SubtleEncryptRequest request, io.grpc.stub.StreamObserver<DaprCryptoProtos.SubtleEncryptResponse> responseObserver)`
  SubtleEncryptAlpha1 encrypts a small message using a key stored in the vault.
  `default void`
  `subtleGetKeyAlpha1(DaprCryptoProtos.SubtleGetKeyRequest request, io.grpc.stub.StreamObserver<DaprCryptoProtos.SubtleGetKeyResponse> responseObserver)`
  SubtleGetKeyAlpha1 returns the public part of an asymmetric key stored in the vault.
  `default void`
  `subtleSignAlpha1(DaprCryptoProtos.SubtleSignRequest request, io.grpc.stub.StreamObserver<DaprCryptoProtos.SubtleSignResponse> responseObserver)`
  SubtleSignAlpha1 signs a message using a key stored in the vault.
  `default void`
  `subtleUnwrapKeyAlpha1(DaprCryptoProtos.SubtleUnwrapKeyRequest request, io.grpc.stub.StreamObserver<DaprCryptoProtos.SubtleUnwrapKeyResponse> responseObserver)`
  SubtleUnwrapKeyAlpha1 unwraps a key using a key stored in the vault.
  `default void`
  `subtleVerifyAlpha1(DaprCryptoProtos.SubtleVerifyRequest request, io.grpc.stub.StreamObserver<DaprCryptoProtos.SubtleVerifyResponse> responseObserver)`
  SubtleVerifyAlpha1 verifies the signature of a message using a key stored in the vault.
  `default void`
  `subtleWrapKeyAlpha1(DaprCryptoProtos.SubtleWrapKeyRequest request, io.grpc.stub.StreamObserver<DaprCryptoProtos.SubtleWrapKeyResponse> responseObserver)`
  SubtleWrapKeyAlpha1 wraps a key using a key stored in the vault.
  `default void`
  `terminateWorkflowAlpha1(DaprWorkflowProtos.TerminateWorkflowRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Deprecated.
  `default void`
  `terminateWorkflowBeta1(DaprWorkflowProtos.TerminateWorkflowRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Terminates a running workflow instance
  `default void`
  `tryLockAlpha1(DaprLockProtos.TryLockRequest request, io.grpc.stub.StreamObserver<DaprLockProtos.TryLockResponse> responseObserver)`
  TryLockAlpha1 tries to get a lock with an expiry.
  `default void`
  `unlockAlpha1(DaprLockProtos.UnlockRequest request, io.grpc.stub.StreamObserver<DaprLockProtos.UnlockResponse> responseObserver)`
  UnlockAlpha1 unlocks a lock.
  `default void`
  `unregisterActorReminder(DaprActorsProtos.UnregisterActorReminderRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Unregister an actor reminder.
  `default void`
  `unregisterActorRemindersByType(DaprActorsProtos.UnregisterActorRemindersByTypeRequest request, io.grpc.stub.StreamObserver<DaprActorsProtos.UnregisterActorRemindersByTypeResponse> responseObserver)`
  `default void`
  `unregisterActorTimer(DaprActorsProtos.UnregisterActorTimerRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
  Unregister an actor timer.
  `default void`
  `unsubscribeConfiguration(DaprConfigurationProtos.UnsubscribeConfigurationRequest request, io.grpc.stub.StreamObserver<DaprConfigurationProtos.UnsubscribeConfigurationResponse> responseObserver)`
  UnSubscribeConfiguration unsubscribe the subscription of configuration
  `default void`
  `unsubscribeConfigurationAlpha1(DaprConfigurationProtos.UnsubscribeConfigurationRequest request, io.grpc.stub.StreamObserver<DaprConfigurationProtos.UnsubscribeConfigurationResponse> responseObserver)`
  UnSubscribeConfiguration unsubscribe the subscription of configuration

- ## Method Details

  - ### invokeService

    default void invokeService(DaprInvokeProtos.InvokeServiceRequest request, io.grpc.stub.StreamObserver<CommonProtos.InvokeResponse> responseObserver)

         Invokes a method on a remote Dapr app.
         Deprecated: Use proxy mode service invocation instead.

  - ### getState

    default void getState(DaprStateProtos.GetStateRequest request, io.grpc.stub.StreamObserver<DaprStateProtos.GetStateResponse> responseObserver)

         Gets the state for a specific key.

  - ### getBulkState

    default void getBulkState(DaprStateProtos.GetBulkStateRequest request, io.grpc.stub.StreamObserver<DaprStateProtos.GetBulkStateResponse> responseObserver)

         Gets a bulk of state items for a list of keys

  - ### saveState

    default void saveState(DaprStateProtos.SaveStateRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Saves the state for a specific key.

  - ### queryStateAlpha1

    default void queryStateAlpha1(DaprStateProtos.QueryStateRequest request, io.grpc.stub.StreamObserver<DaprStateProtos.QueryStateResponse> responseObserver)

         Queries the state.

  - ### deleteState

    default void deleteState(DaprStateProtos.DeleteStateRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Deletes the state for a specific key.

  - ### deleteBulkState

    default void deleteBulkState(DaprStateProtos.DeleteBulkStateRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Deletes a bulk of state items for a list of keys

  - ### executeStateTransaction

    default void executeStateTransaction(DaprStateProtos.ExecuteStateTransactionRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Executes transactions for a specified store

  - ### publishEvent

    default void publishEvent(DaprPubsubProtos.PublishEventRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Publishes events to the specific topic.

  - ### bulkPublishEventAlpha1

    @Deprecated default void bulkPublishEventAlpha1(DaprPubsubProtos.BulkPublishRequest request, io.grpc.stub.StreamObserver<DaprPubsubProtos.BulkPublishResponse> responseObserver)
    Deprecated.

         Deprecated: Bulk Publishes multiple events to the specified topic.

  - ### bulkPublishEvent

    default void bulkPublishEvent(DaprPubsubProtos.BulkPublishRequest request, io.grpc.stub.StreamObserver<DaprPubsubProtos.BulkPublishResponse> responseObserver)

         Bulk Publishes multiple events to the specified topic.

  - ### subscribeTopicEventsAlpha1

    default io.grpc.stub.StreamObserver<DaprPubsubProtos.SubscribeTopicEventsRequestAlpha1> subscribeTopicEventsAlpha1(io.grpc.stub.StreamObserver<DaprPubsubProtos.SubscribeTopicEventsResponseAlpha1> responseObserver)

         SubscribeTopicEventsAlpha1 subscribes to a PubSub topic and receives topic
         events from it.

  - ### invokeBinding

    default void invokeBinding(DaprBindingsProtos.InvokeBindingRequest request, io.grpc.stub.StreamObserver<DaprBindingsProtos.InvokeBindingResponse> responseObserver)

         Invokes binding data to specific output bindings

  - ### getSecret

    default void getSecret(DaprSecretProtos.GetSecretRequest request, io.grpc.stub.StreamObserver<DaprSecretProtos.GetSecretResponse> responseObserver)

         Gets secrets from secret stores.

  - ### getBulkSecret

    default void getBulkSecret(DaprSecretProtos.GetBulkSecretRequest request, io.grpc.stub.StreamObserver<DaprSecretProtos.GetBulkSecretResponse> responseObserver)

         Gets a bulk of secrets

  - ### registerActorTimer

    default void registerActorTimer(DaprActorsProtos.RegisterActorTimerRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Register an actor timer.

  - ### unregisterActorTimer

    default void unregisterActorTimer(DaprActorsProtos.UnregisterActorTimerRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Unregister an actor timer.

  - ### registerActorReminder

    default void registerActorReminder(DaprActorsProtos.RegisterActorReminderRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Register an actor reminder.

  - ### unregisterActorReminder

    default void unregisterActorReminder(DaprActorsProtos.UnregisterActorReminderRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Unregister an actor reminder.

  - ### unregisterActorRemindersByType

    default void unregisterActorRemindersByType(DaprActorsProtos.UnregisterActorRemindersByTypeRequest request, io.grpc.stub.StreamObserver<DaprActorsProtos.UnregisterActorRemindersByTypeResponse> responseObserver)

  - ### listActorReminders

    default void listActorReminders(DaprActorsProtos.ListActorRemindersRequest request, io.grpc.stub.StreamObserver<DaprActorsProtos.ListActorRemindersResponse> responseObserver)

  - ### getActorState

    default void getActorState(DaprActorsProtos.GetActorStateRequest request, io.grpc.stub.StreamObserver<DaprActorsProtos.GetActorStateResponse> responseObserver)

         Gets the state for a specific actor.

  - ### getActorReminder

    default void getActorReminder(DaprActorsProtos.GetActorReminderRequest request, io.grpc.stub.StreamObserver<DaprActorsProtos.GetActorReminderResponse> responseObserver)

         Gets an actor reminder.

  - ### executeActorStateTransaction

    default void executeActorStateTransaction(DaprActorsProtos.ExecuteActorStateTransactionRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Executes state transactions for a specified actor

  - ### invokeActor

    default void invokeActor(DaprActorsProtos.InvokeActorRequest request, io.grpc.stub.StreamObserver<DaprActorsProtos.InvokeActorResponse> responseObserver)

         InvokeActor calls a method on an actor.

  - ### subscribeActorEventsAlpha1

    default io.grpc.stub.StreamObserver<DaprActorsProtos.SubscribeActorEventsRequestAlpha1> subscribeActorEventsAlpha1(io.grpc.stub.StreamObserver<DaprActorsProtos.SubscribeActorEventsResponseAlpha1> responseObserver)

         SubscribeActorEventsAlpha1 is the app-initiated stream over which an
         actor host receives invocation, reminder, timer, and deactivation
         callbacks from Dapr. The first message the app sends must be a
         SubscribeActorEventsRequestInitialAlpha1 registering the actor types
         it hosts. Apps using this RPC do not need to expose a server port for
         actor callbacks.

  - ### getConfigurationAlpha1

    default void getConfigurationAlpha1(DaprConfigurationProtos.GetConfigurationRequest request, io.grpc.stub.StreamObserver<DaprConfigurationProtos.GetConfigurationResponse> responseObserver)

         GetConfiguration gets configuration from configuration store.

  - ### getConfiguration

    default void getConfiguration(DaprConfigurationProtos.GetConfigurationRequest request, io.grpc.stub.StreamObserver<DaprConfigurationProtos.GetConfigurationResponse> responseObserver)

         GetConfiguration gets configuration from configuration store.

  - ### subscribeConfigurationAlpha1

    default void subscribeConfigurationAlpha1(DaprConfigurationProtos.SubscribeConfigurationRequest request, io.grpc.stub.StreamObserver<DaprConfigurationProtos.SubscribeConfigurationResponse> responseObserver)

         SubscribeConfiguration gets configuration from configuration store and subscribe the updates event by grpc stream

  - ### subscribeConfiguration

    default void subscribeConfiguration(DaprConfigurationProtos.SubscribeConfigurationRequest request, io.grpc.stub.StreamObserver<DaprConfigurationProtos.SubscribeConfigurationResponse> responseObserver)

         SubscribeConfiguration gets configuration from configuration store and subscribe the updates event by grpc stream

  - ### unsubscribeConfigurationAlpha1

    default void unsubscribeConfigurationAlpha1(DaprConfigurationProtos.UnsubscribeConfigurationRequest request, io.grpc.stub.StreamObserver<DaprConfigurationProtos.UnsubscribeConfigurationResponse> responseObserver)

         UnSubscribeConfiguration unsubscribe the subscription of configuration

  - ### unsubscribeConfiguration

    default void unsubscribeConfiguration(DaprConfigurationProtos.UnsubscribeConfigurationRequest request, io.grpc.stub.StreamObserver<DaprConfigurationProtos.UnsubscribeConfigurationResponse> responseObserver)

         UnSubscribeConfiguration unsubscribe the subscription of configuration

  - ### tryLockAlpha1

    default void tryLockAlpha1(DaprLockProtos.TryLockRequest request, io.grpc.stub.StreamObserver<DaprLockProtos.TryLockResponse> responseObserver)

         TryLockAlpha1 tries to get a lock with an expiry.

  - ### unlockAlpha1

    default void unlockAlpha1(DaprLockProtos.UnlockRequest request, io.grpc.stub.StreamObserver<DaprLockProtos.UnlockResponse> responseObserver)

         UnlockAlpha1 unlocks a lock.

  - ### encryptAlpha1

    default io.grpc.stub.StreamObserver<DaprCryptoProtos.EncryptRequest> encryptAlpha1(io.grpc.stub.StreamObserver<DaprCryptoProtos.EncryptResponse> responseObserver)

         EncryptAlpha1 encrypts a message using the Dapr encryption scheme and a key stored in the vault.

  - ### decryptAlpha1

    default io.grpc.stub.StreamObserver<DaprCryptoProtos.DecryptRequest> decryptAlpha1(io.grpc.stub.StreamObserver<DaprCryptoProtos.DecryptResponse> responseObserver)

         DecryptAlpha1 decrypts a message using the Dapr encryption scheme and a key stored in the vault.

  - ### getMetadata

    default void getMetadata(DaprMetadataProtos.GetMetadataRequest request, io.grpc.stub.StreamObserver<DaprMetadataProtos.GetMetadataResponse> responseObserver)

         Gets metadata of the sidecar

  - ### setMetadata

    default void setMetadata(DaprMetadataProtos.SetMetadataRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Sets value in extended metadata of the sidecar

  - ### subtleGetKeyAlpha1

    default void subtleGetKeyAlpha1(DaprCryptoProtos.SubtleGetKeyRequest request, io.grpc.stub.StreamObserver<DaprCryptoProtos.SubtleGetKeyResponse> responseObserver)

         SubtleGetKeyAlpha1 returns the public part of an asymmetric key stored in the vault.

  - ### subtleEncryptAlpha1

    default void subtleEncryptAlpha1(DaprCryptoProtos.SubtleEncryptRequest request, io.grpc.stub.StreamObserver<DaprCryptoProtos.SubtleEncryptResponse> responseObserver)

         SubtleEncryptAlpha1 encrypts a small message using a key stored in the vault.

  - ### subtleDecryptAlpha1

    default void subtleDecryptAlpha1(DaprCryptoProtos.SubtleDecryptRequest request, io.grpc.stub.StreamObserver<DaprCryptoProtos.SubtleDecryptResponse> responseObserver)

         SubtleDecryptAlpha1 decrypts a small message using a key stored in the vault.

  - ### subtleWrapKeyAlpha1

    default void subtleWrapKeyAlpha1(DaprCryptoProtos.SubtleWrapKeyRequest request, io.grpc.stub.StreamObserver<DaprCryptoProtos.SubtleWrapKeyResponse> responseObserver)

         SubtleWrapKeyAlpha1 wraps a key using a key stored in the vault.

  - ### subtleUnwrapKeyAlpha1

    default void subtleUnwrapKeyAlpha1(DaprCryptoProtos.SubtleUnwrapKeyRequest request, io.grpc.stub.StreamObserver<DaprCryptoProtos.SubtleUnwrapKeyResponse> responseObserver)

         SubtleUnwrapKeyAlpha1 unwraps a key using a key stored in the vault.

  - ### subtleSignAlpha1

    default void subtleSignAlpha1(DaprCryptoProtos.SubtleSignRequest request, io.grpc.stub.StreamObserver<DaprCryptoProtos.SubtleSignResponse> responseObserver)

         SubtleSignAlpha1 signs a message using a key stored in the vault.

  - ### subtleVerifyAlpha1

    default void subtleVerifyAlpha1(DaprCryptoProtos.SubtleVerifyRequest request, io.grpc.stub.StreamObserver<DaprCryptoProtos.SubtleVerifyResponse> responseObserver)

         SubtleVerifyAlpha1 verifies the signature of a message using a key stored in the vault.

  - ### startWorkflowAlpha1

    @Deprecated default void startWorkflowAlpha1(DaprWorkflowProtos.StartWorkflowRequest request, io.grpc.stub.StreamObserver<DaprWorkflowProtos.StartWorkflowResponse> responseObserver)
    Deprecated.

         Starts a new instance of a workflow

  - ### getWorkflowAlpha1

    @Deprecated default void getWorkflowAlpha1(DaprWorkflowProtos.GetWorkflowRequest request, io.grpc.stub.StreamObserver<DaprWorkflowProtos.GetWorkflowResponse> responseObserver)
    Deprecated.

         Gets details about a started workflow instance

  - ### purgeWorkflowAlpha1

    @Deprecated default void purgeWorkflowAlpha1(DaprWorkflowProtos.PurgeWorkflowRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)
    Deprecated.

         Purge Workflow

  - ### terminateWorkflowAlpha1

    @Deprecated default void terminateWorkflowAlpha1(DaprWorkflowProtos.TerminateWorkflowRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)
    Deprecated.

         Terminates a running workflow instance

  - ### pauseWorkflowAlpha1

    @Deprecated default void pauseWorkflowAlpha1(DaprWorkflowProtos.PauseWorkflowRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)
    Deprecated.

         Pauses a running workflow instance

  - ### resumeWorkflowAlpha1

    @Deprecated default void resumeWorkflowAlpha1(DaprWorkflowProtos.ResumeWorkflowRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)
    Deprecated.

         Resumes a paused workflow instance

  - ### raiseEventWorkflowAlpha1

    @Deprecated default void raiseEventWorkflowAlpha1(DaprWorkflowProtos.RaiseEventWorkflowRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)
    Deprecated.

         Raise an event to a running workflow instance

  - ### startWorkflowBeta1

    default void startWorkflowBeta1(DaprWorkflowProtos.StartWorkflowRequest request, io.grpc.stub.StreamObserver<DaprWorkflowProtos.StartWorkflowResponse> responseObserver)

         Starts a new instance of a workflow

  - ### getWorkflowBeta1

    default void getWorkflowBeta1(DaprWorkflowProtos.GetWorkflowRequest request, io.grpc.stub.StreamObserver<DaprWorkflowProtos.GetWorkflowResponse> responseObserver)

         Gets details about a started workflow instance

  - ### purgeWorkflowBeta1

    default void purgeWorkflowBeta1(DaprWorkflowProtos.PurgeWorkflowRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Purge Workflow

  - ### terminateWorkflowBeta1

    default void terminateWorkflowBeta1(DaprWorkflowProtos.TerminateWorkflowRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Terminates a running workflow instance

  - ### pauseWorkflowBeta1

    default void pauseWorkflowBeta1(DaprWorkflowProtos.PauseWorkflowRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Pauses a running workflow instance

  - ### resumeWorkflowBeta1

    default void resumeWorkflowBeta1(DaprWorkflowProtos.ResumeWorkflowRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Resumes a paused workflow instance

  - ### raiseEventWorkflowBeta1

    default void raiseEventWorkflowBeta1(DaprWorkflowProtos.RaiseEventWorkflowRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Raise an event to a running workflow instance

  - ### shutdown

    default void shutdown(DaprProtos.ShutdownRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Shutdown the sidecar

  - ### scheduleJobAlpha1

    @Deprecated default void scheduleJobAlpha1(DaprJobsProtos.ScheduleJobRequest request, io.grpc.stub.StreamObserver<DaprJobsProtos.ScheduleJobResponse> responseObserver)
    Deprecated.

         Deprecated: Create and schedule a job

  - ### scheduleJob

    default void scheduleJob(DaprJobsProtos.ScheduleJobRequest request, io.grpc.stub.StreamObserver<DaprJobsProtos.ScheduleJobResponse> responseObserver)

         Create and schedule a job

  - ### getJobAlpha1

    @Deprecated default void getJobAlpha1(DaprJobsProtos.GetJobRequest request, io.grpc.stub.StreamObserver<DaprJobsProtos.GetJobResponse> responseObserver)
    Deprecated.

         Deprecated: Gets a scheduled job

  - ### getJob

    default void getJob(DaprJobsProtos.GetJobRequest request, io.grpc.stub.StreamObserver<DaprJobsProtos.GetJobResponse> responseObserver)

         Gets a scheduled job

  - ### deleteJobAlpha1

    @Deprecated default void deleteJobAlpha1(DaprJobsProtos.DeleteJobRequest request, io.grpc.stub.StreamObserver<DaprJobsProtos.DeleteJobResponse> responseObserver)
    Deprecated.

         Deprecated: Delete a job

  - ### deleteJob

    default void deleteJob(DaprJobsProtos.DeleteJobRequest request, io.grpc.stub.StreamObserver<DaprJobsProtos.DeleteJobResponse> responseObserver)

         Delete a job

  - ### deleteJobsByPrefixAlpha1

    @Deprecated default void deleteJobsByPrefixAlpha1(DaprJobsProtos.DeleteJobsByPrefixRequestAlpha1 request, io.grpc.stub.StreamObserver<DaprJobsProtos.DeleteJobsByPrefixResponseAlpha1> responseObserver)
    Deprecated.

         Deprecated: Delete jobs by name prefix

  - ### deleteJobsByPrefix

    default void deleteJobsByPrefix(DaprJobsProtos.DeleteJobsByPrefixRequest request, io.grpc.stub.StreamObserver<DaprJobsProtos.DeleteJobsByPrefixResponse> responseObserver)

         Delete jobs by name prefix

  - ### listJobsAlpha1

    @Deprecated default void listJobsAlpha1(DaprJobsProtos.ListJobsRequestAlpha1 request, io.grpc.stub.StreamObserver<DaprJobsProtos.ListJobsResponseAlpha1> responseObserver)
    Deprecated.

         Deprecated: List all jobs

  - ### listJobs

    default void listJobs(DaprJobsProtos.ListJobsRequest request, io.grpc.stub.StreamObserver<DaprJobsProtos.ListJobsResponse> responseObserver)

         List all jobs

  - ### converseAlpha1

    default void converseAlpha1(DaprAiProtos.ConversationRequest request, io.grpc.stub.StreamObserver<DaprAiProtos.ConversationResponse> responseObserver)

         Converse with a LLM service

  - ### converseAlpha2

    default void converseAlpha2(DaprAiProtos.ConversationRequestAlpha2 request, io.grpc.stub.StreamObserver<DaprAiProtos.ConversationResponseAlpha2> responseObserver)

         Converse with a LLM service via alpha2 api